## axisregistry 0.3.5

=== requirements.txt ===
--index-url https://pypi.python.org/simple/
protobuf==3.19.4
-e .

=== debian/changelog ===
axisregistry (0.3.5-3) unstable; urgency=medium

  * Team upload.
  * Swap Maintainer and Uploader per new DPT Policy

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 20:03:44 +0200

axisregistry (0.3.5-2) unstable; urgency=medium

  * Team upload
  * Source-only re-upload.

 -- Bastian Germann <bage@debian.org>  Tue, 01 Apr 2025 00:17:31 +0200

axisregistry (0.3.5-1) unstable; urgency=low

  * Team upload
  * Initial release; Closes: #1017844

 -- Bastian Germann <bage@debian.org>  Wed, 26 Mar 2025 10:46:33 +0100

=== debian/control ===
Source: axisregistry
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Agathe Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-fonttools,
 python3-protobuf,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/googlefonts/axisregistry/
Vcs-Git: https://salsa.debian.org/python-team/packages/axisregistry.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/axisregistry

Package: python3-axisregistry
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: Access data from the Google Fonts variable fonts axis registry
 This repository contains a python package providing easy access to the GF Axis
 Registry. Data was copied (and is kept is sync with) its original location at
 the `axisregistry` directory on the https://github.com/google/fonts git repo.
 .
 As of March 4th, 2022, there's an ongoing plan to soon make this module the
 central place for updates on the data-set.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=axisregistry
export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -S version)

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/googlefonts/axisregistry/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## axisregistry 0.4.16

=== requirements.txt ===
--index-url https://pypi.python.org/simple/
protobuf==3.20.3
importlib_resources ; python_version < '3.10'
-e .

=== debian/changelog ===
axisregistry (0.4.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.16
  * Switch to autopkgtest-pkg-pybuild
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Disable useless Salsa CI jobs
  * Switch to pybuild-plugin-pyproject
  * Drop dependency on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Jan 2026 08:17:25 +0100

=== debian/control ===
Source: axisregistry
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Agathe Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-fonttools,
 python3-protobuf,
 python3-pytest,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/googlefonts/axisregistry/
Vcs-Git: https://salsa.debian.org/python-team/packages/axisregistry.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/axisregistry

Package: python3-axisregistry
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Access data from the Google Fonts variable fonts axis registry
 This repository contains a Python package providing easy access to the GF Axis
 Registry. Data was copied (and is kept is sync with) its original location at
 the `axisregistry` directory on the https://github.com/google/fonts git repo.
 .
 As of March 4th, 2022, there's an ongoing plan to soon make this module the
 central place for updates on the data-set.

=== debian/watch ===
Version: 5

Template: GitHub
Owner: googlefonts
Project: axisregistry
